%define name gltt
%define version 2.5.2
%define release 7mdk

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary:   OpenGL TrueType library
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://gltt.sourceforge.net/
Source:    %{name}-%{version}.tar.bz2
Patch:	   gltt-FTGlyphVectorizer.patch.bz2
License: GPL
Group:     System/Libraries
Buildrequires: XFree86-devel freetype-devel libMesaglut-devel
BuildRoot: %_tmppath/%{name}-buildroot

%description
gltt is a library that allows you to read and draw TrueType fonts in
any OpenGL application. It supports bitmapped and anti-aliased font
drawing as well as vectorized and polygonized drawing.

%package -n %{libname}
Summary:   OpenGL TrueType library
Group:     System/Libraries

%description -n %{libname}
gltt is a library that allows you to read and draw TrueType fonts in
any OpenGL application. It supports bitmapped and anti-aliased font
drawing as well as vectorized and polygonized drawing.


%package -n %{libnamedev}
Summary:  Development libraries for gltt
Group:    System/Libraries
Requires: %{libname} = %{version}
Provides: libgltt-devel
Requires: %{libname}

%description -n %{libnamedev}
This package includes the header files and libraries necessary to develop
applications that use gltt.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch -p 1

%build

%configure --with-ttf-includes=%_includedir/freetype  \
	--with-ttf-libraries=%_libdir

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc NEWS README TODO
%_libdir/lib*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%_includedir/gltt/
%_libdir/lib*.a
%_libdir/lib*.so
%_libdir/lib*.la

%changelog
* Fri Jun 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-7mdk
- rebuild
- change major

* Thu Jan  8 2004 Olivier Blin <blino@mandrake.org> 2.5.2-6mdk
- BuildRequires (freetype-devel, libMesaglut-devel)

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-5mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-4mdk
- buildrequires
- mklibname

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-3mdk
- rebuild

* Thu Jun 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-2mdk
- fix FTGlyphVectorizer

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-1mdk
- 2.5.2
- use DESTDIR for install, now includes are in gltt/

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-4mdk
- rebuild

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-3mdk
- fix build

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.5-2mdk
- fix group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v2.5

* Mon Mar 15 1999 Arne Coucheron <arneco@online.no>
  [2.4-1]

* Tue Aug 18 1998 Arne Coucheron <arneco@online.no>
  [2.3-1]

* Fri Jun 12 1998 Arne Coucheron <arneco@online.no>
  [2.2-1]

* Tue Jun 02 1998 Arne Coucheron <arneco@online.no>
  [2.1-1]
- changed to using %defattr macro in filelist, this requires rpm 2.5 to build
- using predefined %%{name} and %%{version}, removed %%{PACKAGE_VERSION}
- added -q parameter to %setup
- changed Group: of main and devel package to X11/Libraries

* Mon May 04 1998 Arne Coucheron <arneco@online.no>
  [2.0-1]
- first release
